# glm::gtx::vector_access Namespace Reference

GLM_GTX_vector_access extension: Function to set values to vectors. More...

## Functions
template<typename valType >
void | set (detail::tvec4< valType > &v, valType const &x, valType const &y, valType const &z, valType const &w)
| Set values to a 4 components vector.
template<typename valType >
void | set (detail::tvec3< valType > &v, valType const &x, valType const &y, valType const &z)
| Set values to a 3 components vector.
template<typename valType >
void | set (detail::tvec2< valType > &v, valType const &x, valType const &y)
| Set values to a 2 components vector.

## Detailed Description

GLM_GTX_vector_access extension: Function to set values to vectors.

## Function Documentation

void glm::gtx::vector_access::set | ( | detail::tvec4< valType > & | v,
|  | valType const & | x,
|  | valType const & | y,
|  | valType const & | z,
|  | valType const & | w |
| ) |  |  |

Set values to a 4 components vector.

From GLM_GTX_vector_access extension.

void glm::gtx::vector_access::set | ( | detail::tvec3< valType > & | v,
|  | valType const & | x,
|  | valType const & | y,
|  | valType const & | z |
| ) |  |  |

Set values to a 3 components vector.

From GLM_GTX_vector_access extension.

void glm::gtx::vector_access::set | ( | detail::tvec2< valType > & | v,
|  | valType const & | x,
|  | valType const & | y |
| ) |  |  |

Set values to a 2 components vector.

From GLM_GTX_vector_access extension.